unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SMIBase, SMI2OLE, SMI2ADO, StdCtrls, Grids, DBGrids, Db, DBClient,
  SMI2Cell, SMI2DBF;

type
  TfrmMain = class(TForm)
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    btnImportADO: TButton;
    SMImportFromADO1: TSMImportFromADO;
    SMImportFromDBF1: TSMImportFromDBF;
    btnImportDBF: TButton;
    procedure FormCreate(Sender: TObject);
    procedure btnImportADOClick(Sender: TObject);
    procedure btnImportDBFClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  ClientDataSet1.Close;
  ClientDataSet1.FieldDefs.Clear;

  ClientDataSet1.FieldDefs.Add('NR_RZBK', ftFloat, 0, False);
  ClientDataSet1.CreateDataset;

  {open a dataset with created fields (from text file)}
  ClientDataSet1.Active := True;
end;

procedure TfrmMain.btnImportADOClick(Sender: TObject);
begin
  SMImportFromADO1.Execute;
end;

procedure TfrmMain.btnImportDBFClick(Sender: TObject);
begin
  SMImportFromDBF1.Execute;
end;

end.
